Subject: Re: Financial Computing Project



>      Hello,
>      
>      I thought about the project and came up with some ideas.  
>      
>      Let's say we have a file with prices for N securities for some period 
>      of time.  Then we can draw a chart for any of those securities and see 
>      how the prices were changing during that period.  Now, if we assume 
>      that the price is changing according to some function p=f(t) then we 
>      can predict what it will be like in the future.  It may also be 
>      possible to combine a couple of those securities into a portfolio and 
>      based on our approximation calculate the "optimal" proportions of the 
>      securities in our portfolio for a short period of time into the 
>      future.  
> ---------------------------------------
This is a very nice idea. However the problem is that Cafe only has one
commodity. Amy Merritt's group is thinking of additional commodities.
So if you coordinate with Amy's group then thi seems like a feasible idea.

>      The big question is how to choose the price function.  One way I could 
>      think of is to have a set of most common functions and try each of 
>      them and use the one that gives the smallest average deviation for the 
>      set of data excluding the smallest and the largest deviation from the 
>      set.
>-------------------------------------------------
There are quite a few ideas you can explore. One is to assume some linear
(and later nonlinear) function of the past data (as in time series). If you
go to nonlinear models, you may want to explore neural networks or something
like ARIMA, GARCH or MARS functions. There is a book about Prediction from
Santa Fe, that can come handy. I'll put the reference for that in the WWW
course home page.

Thanks,
	bud